> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bliper.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Webhook de Conexão

> Configura URL notificada quando a instância se conecta ao WhatsApp

## Descrição

Configura a URL do seu servidor que receberá uma notificação sempre que a instância se conectar ao WhatsApp com sucesso.

## Request

### Headers

```
Client-Token: SEU_CLIENT_TOKEN
Content-Type: application/json
```

### Body

```json theme={null}
{
  "value": "https://seusite.com/webhook/connected"
}
```

| Campo   | Tipo   | Obrigatório | Descrição                                                   |
| ------- | ------ | ----------- | ----------------------------------------------------------- |
| `value` | string | Sim         | URL do seu servidor que receberá as notificações de conexão |

## Response

### Sucesso (200)

```json theme={null}
{
  "success": true
}
```

## Exemplo cURL

```bash theme={null}
curl -X PUT 'https://api.bliper.io/instances/{INSTANCE_ID}/token/{INSTANCE_TOKEN}/update-webhook-connected' \
  -H 'Client-Token: SEU_CLIENT_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"value": "https://seusite.com/webhook/connected"}'
```

<Note>Para remover o webhook, envie `value` com string vazia: `""`</Note>
